#pragma once

#include "stdafx.h"
#include "json.h"

std::string Utf16ToUtf8(const std::wstring& s);
std::wstring Utf8ToUtf16(const std::string& s);
Json::Value StringToJson(const std::wstring& s);
std::wstring JsonToString(const Json::Value& json);

bool ExecuteCommand(HANDLE hConnection, LPCWSTR command, Json::Value* responseJson);
bool ExecuteCommand(HANDLE hConnection, LPCWSTR command);
bool ExecuteCommand(HANDLE hConnection, const Json::Value& command, Json::Value* response);
bool ExecuteCommand(HANDLE hConnection, const Json::Value& command);